Ignore:
Timestamp:
2011-08-09T14:19:27+02:00 (5 years ago)
Author:
jogo
Message:

package/kernel: invert dependencies for current kernel features

Instead of depending on new kernel versions, depend on not having one
of the older ones (or vice versa for modules removed in current kernels).

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/package/kernel/modules/virtual.mk

    r27186 r27934  
    167167  SUBMENU:=$(VIRTUAL_MENU) 
    168168  TITLE:=Xen PCI device frontend 
    169   DEPENDS:=@TARGET_x86_xen_domu @LINUX_2_6_37||LINUX_2_6_38||LINUX_2_6_39||LINUX_3_0 
     169  DEPENDS:=@TARGET_x86_xen_domu @!LINUX_2_6_30&&!LINUX_2_6_31&&!LINUX_2_6_32&&!LINUX_2_6_36 
    170170  KCONFIG:=CONFIG_XEN_PCIDEV_FRONTEND 
    171171  FILES:=$(LINUX_DIR)/drivers/xen/platform-pci.ko 
Note: See TracChangeset for help on using the changeset viewer.